      subroutine dpassf2 (ido,l1,cc,ch,wa1)
c
c     Double precision version.  -tk
c
C***BEGIN PROLOGUE  DPASSF2
C***REFER TO DCFFTF
C***ROUTINES CALLED  (NONE)
C***END PROLOGUE  DPASSF2
      implicit double precision (a-h,o-z)
      dimension       cc(ido,2,l1)           ,ch(ido,l1,2)           ,
     1                wa1(1)
C***FIRST EXECUTABLE STATEMENT  DPASSF2
      if (ido .gt. 2) go to 102
      do 101 k=1,l1
         ch(1,k,1) = cc(1,1,k)+cc(1,2,k)
         ch(1,k,2) = cc(1,1,k)-cc(1,2,k)
         ch(2,k,1) = cc(2,1,k)+cc(2,2,k)
         ch(2,k,2) = cc(2,1,k)-cc(2,2,k)
  101 continue
      return
  102 do 104 k=1,l1
         do 103 i=2,ido,2
            ch(i-1,k,1) = cc(i-1,1,k)+cc(i-1,2,k)
            tr2 = cc(i-1,1,k)-cc(i-1,2,k)
            ch(i,k,1) = cc(i,1,k)+cc(i,2,k)
            ti2 = cc(i,1,k)-cc(i,2,k)
            ch(i,k,2) = wa1(i-1)*ti2-wa1(i)*tr2
            ch(i-1,k,2) = wa1(i-1)*tr2+wa1(i)*ti2
  103    continue
  104 continue
      return
      end
